Package org.apache.tapestry5.corelib.data

# Enum GridPagerPosition

java.lang.Object
java.lang.Enum<GridPagerPosition>
org.apache.tapestry5.corelib.data.GridPagerPosition

All Implemented Interfaces:
  `Serializable`, `Comparable<GridPagerPosition>`, `java.lang.constant.Constable`

public enum GridPagerPosition extends Enum<GridPagerPosition>
Used by the `Grid` component to control where the pager portion of the Grid should be displayed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOTH`
  Show the pager above and below the Grid's table.
  `BOTTOM`
  Position the pager below the Grid's table (this is the default).
  `NONE`
  Don't show a pager (the application will need to supply its own navigation mechanism).
  `TOP`
  Position the pager above the Grid's table.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isMatchBottom()`
  `boolean`
  `isMatchTop()`
  `static GridPagerPosition`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static GridPagerPosition[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TOP

    public static final GridPagerPosition TOP
    Position the pager above the Grid's table.

  - ### BOTTOM

    public static final GridPagerPosition BOTTOM
    Position the pager below the Grid's table (this is the default).

  - ### BOTH

    public static final GridPagerPosition BOTH
    Show the pager above and below the Grid's table.

  - ### NONE

    public static final GridPagerPosition NONE
    Don't show a pager (the application will need to supply its own navigation mechanism).

- ## Method Details

  - ### values

    public static GridPagerPosition[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static GridPagerPosition valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isMatchBottom

    public boolean isMatchBottom()

  - ### isMatchTop

    public boolean isMatchTop()